package com.bytedance.ies.nle.editor_jni;

import com.bytedance.covode.number.Covode;

public class SWIGTYPE_p_va_list {
    public transient long swigCPtr;

    static {
        Covode.recordClassIndex(29912);
    }

    public SWIGTYPE_p_va_list() {
    }

    public static long getCPtr(SWIGTYPE_p_va_list sWIGTYPE_p_va_list) {
        if (sWIGTYPE_p_va_list == null) {
            return 0;
        }
        return sWIGTYPE_p_va_list.swigCPtr;
    }

    public SWIGTYPE_p_va_list(long j, boolean z) {
        this.swigCPtr = j;
    }
}
